Subject: bug#14605: [O] bug#14605: bug#14605: bug#14605: bug#14605: Problem with export an .org file to .pdf does not open pdf file

From: Torsten Wagner <[email-masked]>
Date: Mon, 2 Sep 2013 18:22:09 +0200

Hi Carsten,
just by chance I read this thread.

It might be a good idea to announce this somehow for package maintainers on
a prominent place in the change-log of the next official release. Some
Linux package systems do allow recommendation on packages.
As I understood the xdg-utils package is not mandatory for using org-mode,
because it would work without xdg-open too. However, we could ask the
package maintainers to make a recommendation to install xdg-util whenever,
org-mode gets installed. Just a nice customer service ;)

BTW: Emacs itself does *not* require xdg-utils or refer to it as optional.
That would have made it even easier to assume it is already on all Linux
systems.

All the best

Torsten

On 2 September 2013 12:08, Carsten Dominik <[email-masked]>wrote:

> Hi everyone,
>
> OK, we now use xdg-open when available on a Linux system.
>
> Thanks to everyone for the input.
>
> - Carsten
>
> On Sep 2, 2013, at 11:47 AM, Suvayu Ali <[email-masked]>
> wrote:
>
> > Hi Carsten,
> >
> > On Mon, Sep 02, 2013 at 10:44:39AM +0200, Carsten Dominik wrote:
> >>
> >> On Sep 2, 2013, at 10:34 AM, Jambunathan K <[email-masked]>
> wrote:
> >>
> >>>    '(org-file-apps-defaults-gnu
> >>>      (quote
> >>>       ((remote . emacs)
> >>>        (system . "xdg-open %s")
> >>>        (t . mailcap))) t))
> >>>
> >>
> >>
> >> I have not followed the discussion earlier.  The problem I see is that
> >> I do not know how widely available these commands are on Linux.  Maybe
> >> we can built the default value using executable-find or something like
> >> this?
> >
> > I think I can shed some light on the availability of xdg-open.  It is
> > provided by xdg-utils, part of the freedesktop specification.  It is
> > expected to be present in most desktop systems (almost anything with a
> > GUI installed).  It is a direct dependency for kde-libs, gnome-libs, and
> > many desktop applications.
> >
> > The introduction in this Archlinux wiki page gives a very succint
> > summary: <https://wiki.archlinux.org/index.php/Xdg-open>
> >
> > Hope this helps,
> >
> > --
> > Suvayu
> >
> > Open source is the future. It sets us free.
> >
> >
> >
>
>
>
>
>